package com.videonext.mplayer.api.events;

import com.videonext.mplayer.api.ControllerEvent;

public class ExporterEvent extends ControllerEvent {

	private static final long serialVersionUID = 1L;

	/// in percents
	private int progress;
	
	private boolean error;
	
	private String errorMessage;
	
	public ExporterEvent(Object source, int progress, boolean error, String errorMessage) {
		super(source);
		
		this.progress = progress;
		this.error = error;
		this.errorMessage = errorMessage;
		
	}

	public int getProgress() {
		return progress;
	}

	public boolean isError() {
		return error;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

}

